Subject: Re: [PATCH 01/02] net/ipv6: seperate sit driver to extra module

From: Joerg Roedel <[email-masked]>
Date: Fri, 6 Oct 2006 14:09:17 +0200

On Fri, Oct 06, 2006 at 01:38:24PM +0200, Samuel Tardieu wrote:
> >>>>> "Joerg" == Joerg Roedel <[email-masked]> writes:
> 
> Joerg> this is the submit of the patch discussed yesterday to compile
> Joerg> the sit driver as a seperate module.
> 
> Your patch looks ok to me, but given that many people won't need sit,
> why is it enabled by default? Omitting it would save 10k of kernel
> text on x86 and people will see the new kernel configuration option
> anyway and will enable it if needed.

It is enabled per default because the users get this per default when
using the current IPv6 module. James Morris mentioned this issue
yesterday. I think setting the default to N would be more consistent,
but the Y is probably less painfull for the users.

Joerg